commit:     6991a53c185e3276d4c3b3fe1561b6a48551e336
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 20 02:31:22 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Apr 20 02:31:22 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6991a53c

xfce-extra/xfce4-fsguard-plugin: Bump to 1.1.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-fsguard-plugin/Manifest           |  1 +
 .../xfce4-fsguard-plugin-1.1.3.ebuild              | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/xfce-extra/xfce4-fsguard-plugin/Manifest 
b/xfce-extra/xfce4-fsguard-plugin/Manifest
index 5f4d016282cc..0728c4803816 100644
--- a/xfce-extra/xfce4-fsguard-plugin/Manifest
+++ b/xfce-extra/xfce4-fsguard-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-fsguard-plugin-1.1.2.tar.bz2 402703 BLAKE2B 
d7d4b936510d7cdc153d47c54178aebfb9f3339f6413a1013a18301806e05cf76ff2439e7b1e00637407c113149f9e72632e66e01f287e817d93ba5af208947a
 SHA512 
ff42f3d92292357f432a69fc401dec474b1eadabbcd7602f4453f7567faaa623d3672664c3a2baa98ea4e522c6a607b5a40327c5fea33b2d8535f15a4d511ebb
+DIST xfce4-fsguard-plugin-1.1.3.tar.bz2 409310 BLAKE2B 
6ad78241e49a667a7a9a2ab98daf74badd564b2aa20235f93abe80c9d30daf9b463392b2fbe044758e08975200f727eb78c9111b87c472c7bec9208f466f0c1b
 SHA512 
4115a86a6ba38f8283752bb45527dac03b66ba3fb9d708391d9d98d9ecc97169ecbdfc515a01ad2ee2915144037e07ea1f9c8e9b831d47deba6e7c86d0f8563b

diff --git a/xfce-extra/xfce4-fsguard-plugin/xfce4-fsguard-plugin-1.1.3.ebuild 
b/xfce-extra/xfce4-fsguard-plugin/xfce4-fsguard-plugin-1.1.3.ebuild
new file mode 100644
index 000000000000..826f77ab8c7a
--- /dev/null
+++ b/xfce-extra/xfce4-fsguard-plugin/xfce4-fsguard-plugin-1.1.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="A filesystem guard plug-in for the Xfce panel"
+HOMEPAGE="
+       https://docs.xfce.org/panel-plugins/xfce4-fsguard-plugin/start
+       https://gitlab.xfce.org/panel-plugins/xfce4-fsguard-plugin/
+"
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+DEPEND="
+       >=dev-libs/glib-2.50.0
+       >=x11-libs/gtk+-3.22.0:3
+       >=xfce-base/libxfce4ui-4.12:=[gtk3(+)]
+       >=xfce-base/libxfce4util-4.12:=
+       >=xfce-base/xfce4-panel-4.12:=
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to